%define major 0
%define libname %mklibname tommath %{major}
%define libname_devel %mklibname tommath -d
%define libname_static_devel %mklibname tommath -d -s

Summary:	Portable number theoretic multiple-precision integer library
Name:		libtommath
Version:	0.42.0
Release:	2
Group:		System/Libraries
License:	Public Domain
URL:		http://libtom.org/
Source0:	http://libtom.org/files/ltm-%{version}.tar.bz2
Patch0:		libtommath-makefile.patch
BuildRequires:	ghostscript
BuildRequires:	libtool
BuildRequires:	libtiff-progs
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	ghostscript-dvipdf

%description
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname}
Summary:	Portable number theoretic multiple-precision integer library
Group:		System/Libraries

%description -n	%{libname}
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tommath-devel = %{version}-%{release}

%description -n %{libname_devel}
The %{libname_devel} package contains libraries and header files for
developing applications that use %{name}.

%package -n	%{libname_static_devel}
Summary:	Static development files for %{name}
Group:		Development/C
Requires:	%{libname_devel} = %{version}-%{release}
Provides:	tommath-static-devel = %{version}-%{release}

%description -n	%{libname_static_devel}
The %{libname_static_devel} package contains static libraries for
developing applications that use %{name}.

%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"

%make LIBPATH=%{_libdir} -f makefile.shared 
%make -f makefile poster manual docs

%install
export INSTALL_USER=$(id -un)
export INSTALL_GROUP=$(id -gn)

%makeinstall_std INCPATH=%{_includedir}/tommath LIBPATH=%{_libdir} -f makefile.shared

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean

%files -n %{libname}
%defattr(0644,root,root,0755)
%doc LICENSE
%attr(0755,root,root) %{_libdir}/*.so.%{major}*

%files -n %{libname_devel}
%defattr(0644,root,root,0755)
%doc bn.pdf poster.pdf tommath.pdf
%dir %{_includedir}/tommath
%attr(0644,root,root) %{_includedir}/tommath/*
%attr(0755,root,root) %{_libdir}/*.so

%files -n %{libname_static_devel}
%defattr(0644,root,root,0755)



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.42.0-2
+ Revision: 8408b18
- MassBuild#440: Increase release tag


